package pl.polgrabia.demos.plugins

import org.gradle.api.Plugin
import org.gradle.api.Project

open class DemoPlugin : Plugin<Project> {
    override fun apply(project: Project) {
        val extension = project.project.extensions.create("gradle_demo_plugin", DemoExtension::class.java)
        project.tasks.register("demoTask", DemoTask::class.java) { task ->
            task.inputParameter = extension.inputParameter;
            task.group = "demo plugin";
        }
    }
}